Update upstream source from tag 'upstream/3.1.1'
[xfishtank.git] / Makefile.in
1 # Makefile.in generated by automake 1.16.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18 if test -z '$(MAKELEVEL)'; then \
19 false; \
20 elif test -n '$(MAKE_HOST)'; then \
21 true; \
22 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23 true; \
24 else \
25 false; \
26 fi; \
27 }
28 am__make_running_with_option = \
29 case $${target_option-} in \
30 ?) ;; \
31 *) echo "am__make_running_with_option: internal error: invalid" \
32 "target option '$${target_option-}' specified" >&2; \
33 exit 1;; \
34 esac; \
35 has_opt=no; \
36 sane_makeflags=$$MAKEFLAGS; \
37 if $(am__is_gnu_make); then \
38 sane_makeflags=$$MFLAGS; \
39 else \
40 case $$MAKEFLAGS in \
41 *\\[\ \ ]*) \
42 bs=\\; \
43 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
45 esac; \
46 fi; \
47 skip_next=no; \
48 strip_trailopt () \
49 { \
50 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51 }; \
52 for flg in $$sane_makeflags; do \
53 test $$skip_next = yes && { skip_next=no; continue; }; \
54 case $$flg in \
55 *=*|--*) continue;; \
56 -*I) strip_trailopt 'I'; skip_next=yes;; \
57 -*I?*) strip_trailopt 'I';; \
58 -*O) strip_trailopt 'O'; skip_next=yes;; \
59 -*O?*) strip_trailopt 'O';; \
60 -*l) strip_trailopt 'l'; skip_next=yes;; \
61 -*l?*) strip_trailopt 'l';; \
62 -[dEDm]) skip_next=yes;; \
63 -[JT]) skip_next=yes;; \
64 esac; \
65 case $$flg in \
66 *$$target_option*) has_opt=yes; break;; \
67 esac; \
68 done; \
69 test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
91 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
92 $(ACLOCAL_M4)
93 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
94 $(am__configure_deps) $(am__DIST_COMMON)
95 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
96 configure.lineno config.status.lineno
97 mkinstalldirs = $(install_sh) -d
98 CONFIG_HEADER = config.h
99 CONFIG_CLEAN_FILES =
100 CONFIG_CLEAN_VPATH_FILES =
101 AM_V_P = $(am__v_P_@AM_V@)
102 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103 am__v_P_0 = false
104 am__v_P_1 = :
105 AM_V_GEN = $(am__v_GEN_@AM_V@)
106 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107 am__v_GEN_0 = @echo " GEN " $@;
108 am__v_GEN_1 =
109 AM_V_at = $(am__v_at_@AM_V@)
110 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111 am__v_at_0 = @
112 am__v_at_1 =
113 SOURCES =
114 DIST_SOURCES =
115 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
116 ctags-recursive dvi-recursive html-recursive info-recursive \
117 install-data-recursive install-dvi-recursive \
118 install-exec-recursive install-html-recursive \
119 install-info-recursive install-pdf-recursive \
120 install-ps-recursive install-recursive installcheck-recursive \
121 installdirs-recursive pdf-recursive ps-recursive \
122 tags-recursive uninstall-recursive
123 am__can_run_installinfo = \
124 case $$AM_UPDATE_INFO_DIR in \
125 n|no|NO) false;; \
126 *) (install-info --version) >/dev/null 2>&1;; \
127 esac
128 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
129 am__vpath_adj = case $$p in \
130 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
131 *) f=$$p;; \
132 esac;
133 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
134 am__install_max = 40
135 am__nobase_strip_setup = \
136 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
137 am__nobase_strip = \
138 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
139 am__nobase_list = $(am__nobase_strip_setup); \
140 for p in $$list; do echo "$$p $$p"; done | \
141 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
142 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
143 if (++n[$$2] == $(am__install_max)) \
144 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
145 END { for (dir in files) print dir, files[dir] }'
146 am__base_list = \
147 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
148 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
149 am__uninstall_files_from_dir = { \
150 test -z "$$files" \
151 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
152 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
153 $(am__cd) "$$dir" && rm -f $$files; }; \
154 }
155 man1dir = $(mandir)/man1
156 am__installdirs = "$(DESTDIR)$(man1dir)"
157 NROFF = nroff
158 MANS = $(man_MANS)
159 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
160 distclean-recursive maintainer-clean-recursive
161 am__recursive_targets = \
162 $(RECURSIVE_TARGETS) \
163 $(RECURSIVE_CLEAN_TARGETS) \
164 $(am__extra_recursive_targets)
165 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
166 cscope distdir distdir-am dist dist-all distcheck
167 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
168 config.h.in
169 # Read a list of newline-separated strings from the standard input,
170 # and print each of them once, without duplicates. Input order is
171 # *not* preserved.
172 am__uniquify_input = $(AWK) '\
173 BEGIN { nonempty = 0; } \
174 { items[$$0] = 1; nonempty = 1; } \
175 END { if (nonempty) { for (i in items) print i; }; } \
176 '
177 # Make sure the list of sources is unique. This is necessary because,
178 # e.g., the same source file might be shared among _SOURCES variables
179 # for different programs/libraries.
180 am__define_uniq_tagged_files = \
181 list='$(am__tagged_files)'; \
182 unique=`for i in $$list; do \
183 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
184 done | $(am__uniquify_input)`
185 DIST_SUBDIRS = $(SUBDIRS)
186 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in AUTHORS \
187 COPYING ChangeLog INSTALL NEWS README compile depcomp \
188 install-sh missing
189 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
190 distdir = $(PACKAGE)-$(VERSION)
191 top_distdir = $(distdir)
192 am__remove_distdir = \
193 if test -d "$(distdir)"; then \
194 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
195 && rm -rf "$(distdir)" \
196 || { sleep 5 && rm -rf "$(distdir)"; }; \
197 else :; fi
198 am__post_remove_distdir = $(am__remove_distdir)
199 am__relativize = \
200 dir0=`pwd`; \
201 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
202 sed_rest='s,^[^/]*/*,,'; \
203 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
204 sed_butlast='s,/*[^/]*$$,,'; \
205 while test -n "$$dir1"; do \
206 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
207 if test "$$first" != "."; then \
208 if test "$$first" = ".."; then \
209 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
210 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
211 else \
212 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
213 if test "$$first2" = "$$first"; then \
214 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
215 else \
216 dir2="../$$dir2"; \
217 fi; \
218 dir0="$$dir0"/"$$first"; \
219 fi; \
220 fi; \
221 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
222 done; \
223 reldir="$$dir2"
224 DIST_ARCHIVES = $(distdir).tar.gz
225 GZIP_ENV = --best
226 DIST_TARGETS = dist-gzip
227 # Exists only to be overridden by the user if desired.
228 AM_DISTCHECK_DVI_TARGET = dvi
229 distuninstallcheck_listfiles = find . -type f -print
230 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
231 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
232 distcleancheck_listfiles = find . -type f -print
233 ACLOCAL = @ACLOCAL@
234 AMTAR = @AMTAR@
235 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
236 AUTOCONF = @AUTOCONF@
237 AUTOHEADER = @AUTOHEADER@
238 AUTOMAKE = @AUTOMAKE@
239 AWK = @AWK@
240 CC = @CC@
241 CCDEPMODE = @CCDEPMODE@
242 CFLAGS = @CFLAGS@
243 CPPFLAGS = @CPPFLAGS@
244 CSCOPE = @CSCOPE@
245 CTAGS = @CTAGS@
246 CYGPATH_W = @CYGPATH_W@
247 DEFS = @DEFS@
248 DEPDIR = @DEPDIR@
249 ECHO_C = @ECHO_C@
250 ECHO_N = @ECHO_N@
251 ECHO_T = @ECHO_T@
252 ETAGS = @ETAGS@
253 EXEEXT = @EXEEXT@
254 GTK_CFLAGS = @GTK_CFLAGS@
255 GTK_LIBS = @GTK_LIBS@
256 INSTALL = @INSTALL@
257 INSTALL_DATA = @INSTALL_DATA@
258 INSTALL_PROGRAM = @INSTALL_PROGRAM@
259 INSTALL_SCRIPT = @INSTALL_SCRIPT@
260 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
261 LDFLAGS = @LDFLAGS@
262 LIBOBJS = @LIBOBJS@
263 LIBS = @LIBS@
264 LTLIBOBJS = @LTLIBOBJS@
265 MAKEINFO = @MAKEINFO@
266 MKDIR_P = @MKDIR_P@
267 OBJEXT = @OBJEXT@
268 PACKAGE = @PACKAGE@
269 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
270 PACKAGE_NAME = @PACKAGE_NAME@
271 PACKAGE_STRING = @PACKAGE_STRING@
272 PACKAGE_TARNAME = @PACKAGE_TARNAME@
273 PACKAGE_URL = @PACKAGE_URL@
274 PACKAGE_VERSION = @PACKAGE_VERSION@
275 PATH_SEPARATOR = @PATH_SEPARATOR@
276 PKG_CONFIG = @PKG_CONFIG@
277 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
278 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
279 SET_MAKE = @SET_MAKE@
280 SHELL = @SHELL@
281 STRIP = @STRIP@
282 VERSION = @VERSION@
283 X11_CFLAGS = @X11_CFLAGS@
284 X11_LIBS = @X11_LIBS@
285 abs_builddir = @abs_builddir@
286 abs_srcdir = @abs_srcdir@
287 abs_top_builddir = @abs_top_builddir@
288 abs_top_srcdir = @abs_top_srcdir@
289 ac_ct_CC = @ac_ct_CC@
290 am__include = @am__include@
291 am__leading_dot = @am__leading_dot@
292 am__quote = @am__quote@
293 am__tar = @am__tar@
294 am__untar = @am__untar@
295 bindir = @bindir@
296 build_alias = @build_alias@
297 builddir = @builddir@
298 datadir = @datadir@
299 datarootdir = @datarootdir@
300 docdir = @docdir@
301 dvidir = @dvidir@
302 exec_prefix = @exec_prefix@
303 host_alias = @host_alias@
304 htmldir = @htmldir@
305 includedir = @includedir@
306 infodir = @infodir@
307 install_sh = @install_sh@
308 libdir = @libdir@
309 libexecdir = @libexecdir@
310 localedir = @localedir@
311 localstatedir = @localstatedir@
312 mandir = @mandir@
313 mkdir_p = @mkdir_p@
314 oldincludedir = @oldincludedir@
315 pdfdir = @pdfdir@
316 prefix = @prefix@
317 program_transform_name = @program_transform_name@
318 psdir = @psdir@
319 runstatedir = @runstatedir@
320 sbindir = @sbindir@
321 sharedstatedir = @sharedstatedir@
322 srcdir = @srcdir@
323 sysconfdir = @sysconfdir@
324 target_alias = @target_alias@
325 top_build_prefix = @top_build_prefix@
326 top_builddir = @top_builddir@
327 top_srcdir = @top_srcdir@
328
329 # -copyright-
330 #-# Copyright © 2021 Eric Bina, Dave Black, TJ Phan,
331 #-# Vincent Renardias, Willem Vermin
332 #-#
333 #-# Permission is hereby granted, free of charge, to any person
334 #-# obtaining a copy of this software and associated documentation
335 #-# files (the “Software”), to deal in the Software without
336 #-# restriction, including without limitation the rights to use,
337 #-# copy, modify, merge, publish, distribute, sublicense, and/or
338 #-# sell copies of the Software, and to permit persons to whom
339 #-# the Software is furnished to do so, subject to the following
340 #-# conditions:
341 #-#
342 #-# The above copyright notice and this permission notice shall
343 #-# be included in all copies or substantial portions of the Software.
344 #-#
345 #-# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND,
346 #-# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
347 #-# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
348 #-# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
349 #-# HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
350 #-# WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
351 #-# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
352 #-# OTHER DEALINGS IN THE SOFTWARE.
353 #-#
354 AUTOMAKE_OPTIONS = gnu
355 SUBDIRS = src
356 EXTRA_DIST = \
357 addcopyright.sh bootstrap README.md README.linux \
358 simplemake.sh \
359 xfishtank.1.tmpl \
360 prevent-remakes dependencies
361
362 man_MANS = xfishtank.1
363 tarfile = $(top_builddir)/xfishtank-$(VERSION).tar.gz
364 CLEANFILES = xfishtank.1
365 DISTCLEANFILES = $(tarfile)
366 all: config.h
367 $(MAKE) $(AM_MAKEFLAGS) all-recursive
368
369 .SUFFIXES:
370 am--refresh: Makefile
371 @:
372 $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
373 @for dep in $?; do \
374 case '$(am__configure_deps)' in \
375 *$$dep*) \
376 echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
377 $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
378 && exit 0; \
379 exit 1;; \
380 esac; \
381 done; \
382 echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
383 $(am__cd) $(top_srcdir) && \
384 $(AUTOMAKE) --gnu Makefile
385 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
386 @case '$?' in \
387 *config.status*) \
388 echo ' $(SHELL) ./config.status'; \
389 $(SHELL) ./config.status;; \
390 *) \
391 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
392 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
393 esac;
394
395 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
396 $(SHELL) ./config.status --recheck
397
398 $(top_srcdir)/configure: $(am__configure_deps)
399 $(am__cd) $(srcdir) && $(AUTOCONF)
400 $(ACLOCAL_M4): $(am__aclocal_m4_deps)
401 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
402 $(am__aclocal_m4_deps):
403
404 config.h: stamp-h1
405 @test -f $@ || rm -f stamp-h1
406 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
407
408 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
409 @rm -f stamp-h1
410 cd $(top_builddir) && $(SHELL) ./config.status config.h
411 $(srcdir)/config.h.in: $(am__configure_deps)
412 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
413 rm -f stamp-h1
414 touch $@
415
416 distclean-hdr:
417 -rm -f config.h stamp-h1
418 install-man1: $(man_MANS)
419 @$(NORMAL_INSTALL)
420 @list1=''; \
421 list2='$(man_MANS)'; \
422 test -n "$(man1dir)" \
423 && test -n "`echo $$list1$$list2`" \
424 || exit 0; \
425 echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
426 $(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
427 { for i in $$list1; do echo "$$i"; done; \
428 if test -n "$$list2"; then \
429 for i in $$list2; do echo "$$i"; done \
430 | sed -n '/\.1[a-z]*$$/p'; \
431 fi; \
432 } | while read p; do \
433 if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
434 echo "$$d$$p"; echo "$$p"; \
435 done | \
436 sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
437 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
438 sed 'N;N;s,\n, ,g' | { \
439 list=; while read file base inst; do \
440 if test "$$base" = "$$inst"; then list="$$list $$file"; else \
441 echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
442 $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
443 fi; \
444 done; \
445 for i in $$list; do echo "$$i"; done | $(am__base_list) | \
446 while read files; do \
447 test -z "$$files" || { \
448 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
449 $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
450 done; }
451
452 uninstall-man1:
453 @$(NORMAL_UNINSTALL)
454 @list=''; test -n "$(man1dir)" || exit 0; \
455 files=`{ for i in $$list; do echo "$$i"; done; \
456 l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
457 sed -n '/\.1[a-z]*$$/p'; \
458 } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
459 -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
460 dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
461
462 # This directory's subdirectories are mostly independent; you can cd
463 # into them and run 'make' without going through this Makefile.
464 # To change the values of 'make' variables: instead of editing Makefiles,
465 # (1) if the variable is set in 'config.status', edit 'config.status'
466 # (which will cause the Makefiles to be regenerated when you run 'make');
467 # (2) otherwise, pass the desired values on the 'make' command line.
468 $(am__recursive_targets):
469 @fail=; \
470 if $(am__make_keepgoing); then \
471 failcom='fail=yes'; \
472 else \
473 failcom='exit 1'; \
474 fi; \
475 dot_seen=no; \
476 target=`echo $@ | sed s/-recursive//`; \
477 case "$@" in \
478 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
479 *) list='$(SUBDIRS)' ;; \
480 esac; \
481 for subdir in $$list; do \
482 echo "Making $$target in $$subdir"; \
483 if test "$$subdir" = "."; then \
484 dot_seen=yes; \
485 local_target="$$target-am"; \
486 else \
487 local_target="$$target"; \
488 fi; \
489 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
490 || eval $$failcom; \
491 done; \
492 if test "$$dot_seen" = "no"; then \
493 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
494 fi; test -z "$$fail"
495
496 ID: $(am__tagged_files)
497 $(am__define_uniq_tagged_files); mkid -fID $$unique
498 tags: tags-recursive
499 TAGS: tags
500
501 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
502 set x; \
503 here=`pwd`; \
504 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
505 include_option=--etags-include; \
506 empty_fix=.; \
507 else \
508 include_option=--include; \
509 empty_fix=; \
510 fi; \
511 list='$(SUBDIRS)'; for subdir in $$list; do \
512 if test "$$subdir" = .; then :; else \
513 test ! -f $$subdir/TAGS || \
514 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
515 fi; \
516 done; \
517 $(am__define_uniq_tagged_files); \
518 shift; \
519 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
520 test -n "$$unique" || unique=$$empty_fix; \
521 if test $$# -gt 0; then \
522 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
523 "$$@" $$unique; \
524 else \
525 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
526 $$unique; \
527 fi; \
528 fi
529 ctags: ctags-recursive
530
531 CTAGS: ctags
532 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
533 $(am__define_uniq_tagged_files); \
534 test -z "$(CTAGS_ARGS)$$unique" \
535 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
536 $$unique
537
538 GTAGS:
539 here=`$(am__cd) $(top_builddir) && pwd` \
540 && $(am__cd) $(top_srcdir) \
541 && gtags -i $(GTAGS_ARGS) "$$here"
542 cscope: cscope.files
543 test ! -s cscope.files \
544 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
545 clean-cscope:
546 -rm -f cscope.files
547 cscope.files: clean-cscope cscopelist
548 cscopelist: cscopelist-recursive
549
550 cscopelist-am: $(am__tagged_files)
551 list='$(am__tagged_files)'; \
552 case "$(srcdir)" in \
553 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
554 *) sdir=$(subdir)/$(srcdir) ;; \
555 esac; \
556 for i in $$list; do \
557 if test -f "$$i"; then \
558 echo "$(subdir)/$$i"; \
559 else \
560 echo "$$sdir/$$i"; \
561 fi; \
562 done >> $(top_builddir)/cscope.files
563
564 distclean-tags:
565 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
566 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
567 distdir: $(BUILT_SOURCES)
568 $(MAKE) $(AM_MAKEFLAGS) distdir-am
569
570 distdir-am: $(DISTFILES)
571 $(am__remove_distdir)
572 test -d "$(distdir)" || mkdir "$(distdir)"
573 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
574 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
575 list='$(DISTFILES)'; \
576 dist_files=`for file in $$list; do echo $$file; done | \
577 sed -e "s|^$$srcdirstrip/||;t" \
578 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
579 case $$dist_files in \
580 */*) $(MKDIR_P) `echo "$$dist_files" | \
581 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
582 sort -u` ;; \
583 esac; \
584 for file in $$dist_files; do \
585 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
586 if test -d $$d/$$file; then \
587 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
588 if test -d "$(distdir)/$$file"; then \
589 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
590 fi; \
591 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
592 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
593 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
594 fi; \
595 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
596 else \
597 test -f "$(distdir)/$$file" \
598 || cp -p $$d/$$file "$(distdir)/$$file" \
599 || exit 1; \
600 fi; \
601 done
602 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
603 if test "$$subdir" = .; then :; else \
604 $(am__make_dryrun) \
605 || test -d "$(distdir)/$$subdir" \
606 || $(MKDIR_P) "$(distdir)/$$subdir" \
607 || exit 1; \
608 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
609 $(am__relativize); \
610 new_distdir=$$reldir; \
611 dir1=$$subdir; dir2="$(top_distdir)"; \
612 $(am__relativize); \
613 new_top_distdir=$$reldir; \
614 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
615 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
616 ($(am__cd) $$subdir && \
617 $(MAKE) $(AM_MAKEFLAGS) \
618 top_distdir="$$new_top_distdir" \
619 distdir="$$new_distdir" \
620 am__remove_distdir=: \
621 am__skip_length_check=: \
622 am__skip_mode_fix=: \
623 distdir) \
624 || exit 1; \
625 fi; \
626 done
627 -test -n "$(am__skip_mode_fix)" \
628 || find "$(distdir)" -type d ! -perm -755 \
629 -exec chmod u+rwx,go+rx {} \; -o \
630 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
631 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
632 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
633 || chmod -R a+r "$(distdir)"
634 dist-gzip: distdir
635 tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
636 $(am__post_remove_distdir)
637
638 dist-bzip2: distdir
639 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
640 $(am__post_remove_distdir)
641
642 dist-lzip: distdir
643 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
644 $(am__post_remove_distdir)
645
646 dist-xz: distdir
647 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
648 $(am__post_remove_distdir)
649
650 dist-zstd: distdir
651 tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
652 $(am__post_remove_distdir)
653
654 dist-tarZ: distdir
655 @echo WARNING: "Support for distribution archives compressed with" \
656 "legacy program 'compress' is deprecated." >&2
657 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
658 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
659 $(am__post_remove_distdir)
660
661 dist-shar: distdir
662 @echo WARNING: "Support for shar distribution archives is" \
663 "deprecated." >&2
664 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
665 shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
666 $(am__post_remove_distdir)
667
668 dist-zip: distdir
669 -rm -f $(distdir).zip
670 zip -rq $(distdir).zip $(distdir)
671 $(am__post_remove_distdir)
672
673 dist dist-all:
674 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
675 $(am__post_remove_distdir)
676
677 # This target untars the dist file and tries a VPATH configuration. Then
678 # it guarantees that the distribution is self-contained by making another
679 # tarfile.
680 distcheck: dist
681 case '$(DIST_ARCHIVES)' in \
682 *.tar.gz*) \
683 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
684 *.tar.bz2*) \
685 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
686 *.tar.lz*) \
687 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
688 *.tar.xz*) \
689 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
690 *.tar.Z*) \
691 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
692 *.shar.gz*) \
693 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
694 *.zip*) \
695 unzip $(distdir).zip ;;\
696 *.tar.zst*) \
697 zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
698 esac
699 chmod -R a-w $(distdir)
700 chmod u+w $(distdir)
701 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
702 chmod a-w $(distdir)
703 test -d $(distdir)/_build || exit 0; \
704 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
705 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
706 && am__cwd=`pwd` \
707 && $(am__cd) $(distdir)/_build/sub \
708 && ../../configure \
709 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
710 $(DISTCHECK_CONFIGURE_FLAGS) \
711 --srcdir=../.. --prefix="$$dc_install_base" \
712 && $(MAKE) $(AM_MAKEFLAGS) \
713 && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
714 && $(MAKE) $(AM_MAKEFLAGS) check \
715 && $(MAKE) $(AM_MAKEFLAGS) install \
716 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
717 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
718 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
719 distuninstallcheck \
720 && chmod -R a-w "$$dc_install_base" \
721 && ({ \
722 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
723 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
724 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
725 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
726 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
727 } || { rm -rf "$$dc_destdir"; exit 1; }) \
728 && rm -rf "$$dc_destdir" \
729 && $(MAKE) $(AM_MAKEFLAGS) dist \
730 && rm -rf $(DIST_ARCHIVES) \
731 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
732 && cd "$$am__cwd" \
733 || exit 1
734 $(am__post_remove_distdir)
735 @(echo "$(distdir) archives ready for distribution: "; \
736 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
737 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
738 distuninstallcheck:
739 @test -n '$(distuninstallcheck_dir)' || { \
740 echo 'ERROR: trying to run $@ with an empty' \
741 '$$(distuninstallcheck_dir)' >&2; \
742 exit 1; \
743 }; \
744 $(am__cd) '$(distuninstallcheck_dir)' || { \
745 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
746 exit 1; \
747 }; \
748 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
749 || { echo "ERROR: files left after uninstall:" ; \
750 if test -n "$(DESTDIR)"; then \
751 echo " (check DESTDIR support)"; \
752 fi ; \
753 $(distuninstallcheck_listfiles) ; \
754 exit 1; } >&2
755 distcleancheck: distclean
756 @if test '$(srcdir)' = . ; then \
757 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
758 exit 1 ; \
759 fi
760 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
761 || { echo "ERROR: files left in build directory after distclean:" ; \
762 $(distcleancheck_listfiles) ; \
763 exit 1; } >&2
764 check-am: all-am
765 check: check-recursive
766 all-am: Makefile $(MANS) config.h
767 installdirs: installdirs-recursive
768 installdirs-am:
769 for dir in "$(DESTDIR)$(man1dir)"; do \
770 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
771 done
772 install: install-recursive
773 install-exec: install-exec-recursive
774 install-data: install-data-recursive
775 uninstall: uninstall-recursive
776
777 install-am: all-am
778 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
779
780 installcheck: installcheck-recursive
781 install-strip:
782 if test -z '$(STRIP)'; then \
783 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
784 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
785 install; \
786 else \
787 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
788 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
789 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
790 fi
791 mostlyclean-generic:
792
793 clean-generic:
794 -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
795
796 distclean-generic:
797 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
798 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
799 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
800
801 maintainer-clean-generic:
802 @echo "This command is intended for maintainers to use"
803 @echo "it deletes files that may require special tools to rebuild."
804 clean: clean-recursive
805
806 clean-am: clean-generic mostlyclean-am
807
808 distclean: distclean-recursive
809 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
810 -rm -f Makefile
811 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
812
813 dvi: dvi-recursive
814
815 dvi-am:
816
817 html: html-recursive
818
819 html-am:
820
821 info: info-recursive
822
823 info-am:
824
825 install-data-am: install-man
826
827 install-dvi: install-dvi-recursive
828
829 install-dvi-am:
830
831 install-exec-am:
832
833 install-html: install-html-recursive
834
835 install-html-am:
836
837 install-info: install-info-recursive
838
839 install-info-am:
840
841 install-man: install-man1
842
843 install-pdf: install-pdf-recursive
844
845 install-pdf-am:
846
847 install-ps: install-ps-recursive
848
849 install-ps-am:
850
851 installcheck-am:
852
853 maintainer-clean: maintainer-clean-recursive
854 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
855 -rm -rf $(top_srcdir)/autom4te.cache
856 -rm -f Makefile
857 maintainer-clean-am: distclean-am maintainer-clean-generic
858
859 mostlyclean: mostlyclean-recursive
860
861 mostlyclean-am: mostlyclean-generic
862
863 pdf: pdf-recursive
864
865 pdf-am:
866
867 ps: ps-recursive
868
869 ps-am:
870
871 uninstall-am: uninstall-man
872
873 uninstall-man: uninstall-man1
874
875 .MAKE: $(am__recursive_targets) all install-am install-strip
876
877 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
878 am--refresh check check-am clean clean-cscope clean-generic \
879 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
880 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
881 dist-zstd distcheck distclean distclean-generic distclean-hdr \
882 distclean-tags distcleancheck distdir distuninstallcheck dvi \
883 dvi-am html html-am info info-am install install-am \
884 install-data install-data-am install-dvi install-dvi-am \
885 install-exec install-exec-am install-html install-html-am \
886 install-info install-info-am install-man install-man1 \
887 install-pdf install-pdf-am install-ps install-ps-am \
888 install-strip installcheck installcheck-am installdirs \
889 installdirs-am maintainer-clean maintainer-clean-generic \
890 mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
891 tags-am uninstall uninstall-am uninstall-man uninstall-man1
892
893 .PRECIOUS: Makefile
894
895
896 xfishtank.1: xfishtank.1.tmpl
897 sed "s/VERSION/$(VERSION)/;s/DATE/`date +'%B %Y'`/" < $< > $@
898
899 # Tell versions [3.59,3.63) of GNU make to not export all variables.
900 # Otherwise a system limit (for SysV at least) may be exceeded.
901 .NOEXPORT:
This page took 0.045816 seconds and 4 git commands to generate.